Wt: Wt::WShadow Class Reference

Wt 4.10.4

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Wt::WShadow Class Reference
Painting system

A value class that defines a shadow style. More...

`#include <Wt/WShadow.h>`

## Public Member Functions
| WShadow ()
| Default constructor.
| WShadow (double dx, double dy, const WColor &color, double blur)
| Constructs a shadow with given offset and color.
bool | operator== (const WShadow &other) const
| Comparison operator.
bool | operator!= (const WShadow &other) const
| Comparison operator.
bool | none () const
| Returns whether the shadow effect is nihil.
void | setOffsets (double dx, double dy)
| Sets the shadow offset.
double | offsetX () const
| Returns the shadow X offset.
double | offsetY () const
| Returns the shadow Y offset.
void | setColor (const WColor &color)
| Changes the shadow color.
const WColor & | color () const
| Returns the shadow color.
void | setBlur (double blur)
| Sets the blur.
double | blur () const
| Returns the blur.

## Detailed Description

A value class that defines a shadow style.

See also
  WPainter::setShadow()

## Constructor & Destructor Documentation

## ◆ WShadow()

Wt::WShadow::WShadow | ( |  | ) |

Default constructor.

Constructs a disabled shadow effect (offsetX = offsetY = blur = 0)

## Member Function Documentation

## ◆ blur()

double Wt::WShadow::blur | ( |  | ) | const

Returns the blur.

See also
  setBlur()

## ◆ color()

const WColor & Wt::WShadow::color | ( |  | ) | const

Returns the shadow color.

See also
  setColor()

## ◆ offsetX()

double Wt::WShadow::offsetX | ( |  | ) | const

Returns the shadow X offset.

See also
  setOffsets()

## ◆ offsetY()

double Wt::WShadow::offsetY | ( |  | ) | const

Returns the shadow Y offset.

See also
  setOffsets()

## ◆ operator!=()

bool Wt::WShadow::operator!= | ( | const WShadow & | other | ) | const

Comparison operator.

Returns `true` if the shadows are different.

## ◆ operator==()

bool Wt::WShadow::operator== | ( | const WShadow & | other | ) | const

Comparison operator.

Returns `true` if the shadows are exactly the same.

## ◆ setBlur()

void Wt::WShadow::setBlur | ( | double | blur | ) |

Sets the blur.

See also
  blur()

## ◆ setColor()

void Wt::WShadow::setColor | ( | const WColor & | color | ) |

Changes the shadow color.

See also
  color()